Index: code/branches/Boxhead_FS19/data/levels/Hover.oxw
===================================================================
--- code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12398)
+++ code/branches/Boxhead_FS19/data/levels/Hover.oxw	(revision 12399)
@@ -21,5 +21,5 @@
 MAZE_NUM_CELLS = 10
 MAZE_CELL_SIZE = 100
-MAZE_CELL_HEIGHT = 400000
+MAZE_CELL_HEIGHT = 400000000
 MAZE_SIZE = MAZE_NUM_CELLS*MAZE_CELL_SIZE
 ?>
@@ -81,312 +81,203 @@
     />
 
-    <SpaceShip position="400,20,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,200,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,800,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,1000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,1200,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    
-
-    <SpaceShip position="300,3000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-    </SpaceShip>
-
-    <SpaceShip position="300,4000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,4000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,5000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6050,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6100,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6200,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6300,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,6400,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-    <SpaceShip position="300,10000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,30000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,40000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,50000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,60000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,70000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="200,80000,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="400,90000,300" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
-    <SpaceShip position="300,90000,400" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="60" >
-      <templates>
-              <Template link=spaceshipzombie />
-      </templates>
-      <sleep seconds="10"/>
-    </SpaceShip>
-
+<SpaceShip position="500,20,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,2020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,4020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,6020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,8020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,10020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,12020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,14020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,16020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,18020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,20020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,22020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,24020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,26020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,28020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,30020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,32020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,34020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,36020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,38020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,40020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,42020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,44020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,46020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,48020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,50020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,52020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,54020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,56020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,58020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,60020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,62020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,64020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,66020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,68020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,70020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,72020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,74020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,76020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,78020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,80020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,82020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,84020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,86020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,88020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,90020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,92020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,94020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,96020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,98020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,100020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,102020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,104020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,106020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,108020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,110020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,112020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,114020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,116020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,118020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,120020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,122020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,124020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,126020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,128020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,130020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,132020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,134020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,136020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,138020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,140020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,142020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,144020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,146020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,148020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,150020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,152020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,154020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,156020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,158020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,160020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,162020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,164020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,166020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,168020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,170020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,172020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,174020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,176020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,178020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,180020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,182020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,184020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,186020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,188020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,190020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,192020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,194020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,196020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
+
+<SpaceShip position="500,198020,500" lookat="50,20,50" name="enemy" health="200" maxhealth="200" initialhealth="80" > <templates> <Template link=spaceshipzombie /> </templates> </SpaceShip> 
 
 
Index: code/branches/Boxhead_FS19/data/levels/templates/spaceshipzombie.oxt
===================================================================
--- code/branches/Boxhead_FS19/data/levels/templates/spaceshipzombie.oxt	(revision 12398)
+++ code/branches/Boxhead_FS19/data/levels/templates/spaceshipzombie.oxt	(revision 12399)
@@ -9,5 +9,5 @@
    health            = 200
    maxhealth         = 200
-   initialhealth     = 30
+   initialhealth     = 50
 
    shieldhealth        = 25
@@ -22,5 +22,5 @@
    rotationThrust    = 20
 
-   jumpBoost = 90
+   jumpBoost = 0
 
    lift = 1;
@@ -33,5 +33,5 @@
 
    collisionType     = "dynamic"
-   mass              = 1000
+   mass              = 4000
    linearDamping     = 0
    angularDamping    = 0
@@ -95,7 +95,7 @@
    boostfactor    = 2
 
-   speedfront     =   90
-   speedback      =   90
-   speedleftright =   90
+   speedfront     =   80
+   speedback      =   80
+   speedleftright =   80
    speedupdown    =   0
 
Index: code/branches/Boxhead_FS19/src/modules/hover/HoverWall.cc
===================================================================
--- code/branches/Boxhead_FS19/src/modules/hover/HoverWall.cc	(revision 12398)
+++ code/branches/Boxhead_FS19/src/modules/hover/HoverWall.cc	(revision 12399)
@@ -102,6 +102,6 @@
 
         model_ = new Model(this->getContext());
-        model_->setMeshSource("CuboidBody.mesh");
-        model_->setScale3D(Vector3(xSize_*1.0f, cellHeight*1.0f, zSize_*1.0f));
+        // model_->setMeshSource("CuboidBody.mesh");
+        model_->setScale3D(Vector3(xSize_*1.0f, cellHeight*400000000.0f, zSize_*1.0f));
         model_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
 
@@ -109,5 +109,5 @@
 
         cs_ = new BoxCollisionShape(this->getContext());
-        cs_->setHalfExtents(Vector3(xSize_*1.0f, cellHeight*100000.0f, zSize_*1.0f));
+        cs_->setHalfExtents(Vector3(xSize_*1.0f, cellHeight*400000000.0f, zSize_*1.0f));
         cs_->setPosition(Vector3(xPos_*1.0f, 0.0f, zPos_*1.0f));
 
